package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/service"
)

type GameShieldSdkIpHandler struct {
	*Handler
	gameShieldSdkIpService service.GameShieldSdkIpService
}

func NewGameShieldSdkIpHandler(
	handler *Handler,
	gameShieldSdkIpService service.GameShieldSdkIpService,
) *GameShieldSdkIpHandler {
	return &GameShieldSdkIpHandler{
		Handler:                handler,
		gameShieldSdkIpService: gameShieldSdkIpService,
	}
}

func (h *GameShieldSdkIpHandler) GetGameShieldSdkIp(ctx *gin.Context) {

}
